import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyGetPaymentFractions = createAsyncThunk(
  "PROVINCE_POLICY_GET_PAYMENT_FRACTIONS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("payment-gateway-percentage/");
    dispatch(LOADING_END());
    return { data, status };
  }
);
